#include <iostream>

using namespace std;

int main()
{
    int x, y, a, b;
    cin >> x >> y >> a >> b;

    if(x == a && y == b)
        cout << "nijedan";
    else if(x == a && y > b)
        cout << "drugi";
    else if(x > a && y == b)
        cout << "prvi";
    else
        cout << "?";
    return 0;
}